/*******************************************************************************
* Copyright (C) 2019 China Micro Semiconductor Limited Company. All Rights Reserved.
*
* This software is owned and published by:
* CMS LLC, No 2609-10, Taurus Plaza, TaoyuanRoad, NanshanDistrict, Shenzhen, China.
*
* BY DOWNLOADING, INSTALLING OR USING THIS SOFTWARE, YOU AGREE TO BE BOUND
* BY ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.
*
* This software contains source code for use with CMS
* components. This software is licensed by CMS to be adapted only
* for use in systems utilizing CMS components. CMS shall not be
* responsible for misuse or illegal use of this software for devices not
* supported herein. CMS is providing this software "AS IS" and will
* not be responsible for issues arising from incorrect user implementation
* of the software.
*
* This software may be replicated in part or whole for the licensed use,
* with the restriction that this Disclaimer and Copyright notice must be
* included with each copy of this software, whether used in part or whole,
* at all times.
*/

/****************************************************************************/
/** \file demo_ReadUID.c
**
**  
**
**	History:
**	
*****************************************************************************/
/****************************************************************************/
/*	include files
*****************************************************************************/
#include "demo_ReadUID.h"

/****************************************************************************/
/*	Local pre-processor symbols('#define')
****************************************************************************/

/****************************************************************************/
/*	Global variable definitions(declared in header file with 'extern')
****************************************************************************/
uint8_t UID_ValueArray[12];

/****************************************************************************/
/*	Local type definitions('typedef')
****************************************************************************/

/****************************************************************************/
/*	Local variable  definitions('static')
****************************************************************************/

/****************************************************************************/
/*	Local function prototypes('static')
****************************************************************************/

/****************************************************************************/
/*	Function implementation - global ('extern') and local('static')
****************************************************************************/

/******************************************************************************
 ** \brief	 ReadUID
 ** \param [in] none
 **      读取IC唯一ID
 ** \return  none
 ** \note  
 ******************************************************************************/

void ReadUID(void)
{
	uint8_t i;
	
	for(i=0;i<12;i++)
	{
		UID_ValueArray[i]=0;		
	}
	
	UID_ValueArray[0]=UID0;
	UID_ValueArray[1]=UID1;
	UID_ValueArray[2]=UID2;
	UID_ValueArray[3]=UID3;
	
	UID_ValueArray[4]=UID4;
	UID_ValueArray[5]=UID5;
	UID_ValueArray[6]=UID6;
	UID_ValueArray[7]=UID7;
	
	UID_ValueArray[8]=UID8;
	UID_ValueArray[9]=UID9;
	UID_ValueArray[10]=UID10;
	UID_ValueArray[11]=UID11;

	
}
























